#!/bin/sh
#
# Set log level in db.
#

usage()
{
    echo "usage: $1 [DEBUG, INFO, WARN, ERROR, CRITICAL, DEFAULT]"
    echo "Set the log level of icd, default log level is WARN"
    echo "Note that rebooting device does not clear the log level."
    exit 1
}

if [ -z "$1" ]; then
    usage $0
fi

SETTING=/system/osso/connectivity/icd2_log_level
VALUE=2

case "$1" in
    DEBUG)    VALUE=0 ;;
    INFO)     VALUE=1 ;;
    WARN)     VALUE=2 ;;
    ERROR)    VALUE=3 ;;
    CRITICAL) VALUE=4 ;;
    DEFAULT)  VALUE=2 ;;
    *)   echo "Error: Invalid value"
         usage $0
         ;;
esac

gconftool-2 -s $SETTING -t int $VALUE
if [ $? -eq 0 ]; then
    echo "icd2 log level set to $VALUE"
else
    echo "Could not set the log level"
    exit 2
fi

exit 0


